GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Attributes | List of all members
gridfire::exceptions::StaleEngineTrigger Class Referencefinal

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::StaleEngineTrigger:

## Classes
struct | state

## Public Member Functions
| StaleEngineTrigger (const state &s)
const char * | what () const noexcept override
state | getState () const
size_t | numSpecies () const
size_t | totalSteps () const
double | energy () const
double | getMolarAbundance (const size_t index) const
double | temperature () const
double | density () const

## Private Attributes
state | m_state

## Detailed Description

Definition at line 10 of file error_engine.h.

## Constructor & Destructor Documentation

## ◆ StaleEngineTrigger()

gridfire::exceptions::StaleEngineTrigger::StaleEngineTrigger | ( | const state & | s | ) |
| inline explicit

Definition at line 20 of file error_engine.h.

## Member Function Documentation

## ◆ density()

double gridfire::exceptions::StaleEngineTrigger::density | ( |  | ) | const
| inline

Definition at line 54 of file error_engine.h.

## ◆ energy()

double gridfire::exceptions::StaleEngineTrigger::energy | ( |  | ) | const
| inline

Definition at line 39 of file error_engine.h.

## ◆ getMolarAbundance()

double gridfire::exceptions::StaleEngineTrigger::getMolarAbundance | ( | const size_t | index | ) | const
| inline

Definition at line 43 of file error_engine.h.

## ◆ getState()

state gridfire::exceptions::StaleEngineTrigger::getState | ( |  | ) | const
| inline

Definition at line 27 of file error_engine.h.

## ◆ numSpecies()

size_t gridfire::exceptions::StaleEngineTrigger::numSpecies | ( |  | ) | const
| inline

Definition at line 31 of file error_engine.h.

## ◆ temperature()

double gridfire::exceptions::StaleEngineTrigger::temperature | ( |  | ) | const
| inline

Definition at line 50 of file error_engine.h.

## ◆ totalSteps()

size_t gridfire::exceptions::StaleEngineTrigger::totalSteps | ( |  | ) | const
| inline

Definition at line 35 of file error_engine.h.

## ◆ what()

const char * gridfire::exceptions::StaleEngineTrigger::what | ( |  | ) | const
| inline override noexcept

Definition at line 23 of file error_engine.h.

## Member Data Documentation

## ◆ m_state

state gridfire::exceptions::StaleEngineTrigger::m_state
| private

Definition at line 58 of file error_engine.h.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h